import{s as _t,n as ht,o as $t}from"../chunks/scheduler.85c25b89.js";import{S as bt,i as vt,g as i,s as a,r as d,A as xt,h as l,f as e,c as n,j as E,u,x as N,k,y as s,a as c,v as f,d as _,t as h,w as $}from"../chunks/index.c142fe32.js";import{D as O}from"../chunks/Docstring.e6639b56.js";import{H as ct,E as Pt}from"../chunks/EditOnGithub.a592e7aa.js";function wt(mt){let g,U,H,z,P,R,w,W,p,T,et,q,gt="Arguments common to all scripts.",G,S,B,o,A,rt,F,pt=`The TRL parser parses a list of parsers (TrainingArguments, trl.ModelConfig, etc.), creates a config
parsers for users that pass a valid <code>config</code> field and merge the values that are set in the config
with the processed parsers.`,st,b,y,at,M,dt="Parse the command line arguments and the config file.",nt,v,D,ot,I,ut="Post process dataclasses to merge the TrainingArguments with the SFTScriptArguments or DPOScriptArguments.",it,x,C,lt,V,ft="Defaults we’re setting with config allow us to change to required = False",J,L,K,j,Q;return P=new ct({props:{title:"Scripts Utilities",local:"scripts-utilities",headingTag:"h1"}}),w=new ct({props:{title:"ScriptArguments",local:"trl.ScriptArguments",headingTag:"h2"}}),T=new O({props:{name:"class trl.ScriptArguments",anchor:"trl.ScriptArguments",parameters:[{name:"dataset_name",val:": str"},{name:"dataset_train_split",val:": str = 'train'"},{name:"dataset_test_split",val:": str = 'test'"},{name:"config",val:": typing.Optional[str] = None"},{name:"gradient_checkpointing_use_reentrant",val:": bool = False"},{name:"ignore_bias_buffers",val:": bool = False"}],parametersDescription:[{anchor:"trl.ScriptArguments.dataset_name",description:`<strong>dataset_name</strong> (<code>str</code>) &#x2014;
Dataset name.`,name:"dataset_name"},{anchor:"trl.ScriptArguments.dataset_train_split",description:`<strong>dataset_train_split</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;train&quot;</code>) &#x2014;
Dataset split to use for training.`,name:"dataset_train_split"},{anchor:"trl.ScriptArguments.dataset_test_split",description:`<strong>dataset_test_split</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;test&quot;</code>) &#x2014;
Dataset split to use for evaluation.`,name:"dataset_test_split"},{anchor:"trl.ScriptArguments.config",description:`<strong>config</strong> (<code>str</code> or <code>None</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Path to the optional config file.`,name:"config"},{anchor:"trl.ScriptArguments.gradient_checkpointing_use_reentrant",description:`<strong>gradient_checkpointing_use_reentrant</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to apply <code>use_reentrant</code> for gradient_checkpointing.`,name:"gradient_checkpointing_use_reentrant"},{anchor:"trl.ScriptArguments.ignore_bias_buffers",description:`<strong>ignore_bias_buffers</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Debug argument for distributed training. Fix for DDP issues with LM bias/mask buffers - invalid scalar
type, inplace operation. See <a href="https://github.com/huggingface/transformers/issues/22482#issuecomment-1595790992" rel="nofollow">https://github.com/huggingface/transformers/issues/22482#issuecomment-1595790992</a>.`,name:"ignore_bias_buffers"}],source:"https://github.com/huggingface/trl/blob/main/trl/utils.py#L19"}}),S=new ct({props:{title:"TrlParser",local:"trl.TrlParser",headingTag:"h2"}}),A=new O({props:{name:"class trl.TrlParser",anchor:"trl.TrlParser",parameters:[{name:"parsers",val:""},{name:"ignore_extra_args",val:" = False"}],parametersDescription:[{anchor:"trl.TrlParser.parsers",description:`<strong>parsers</strong> (<code>List[argparse.ArgumentParser]</code>) &#x2014;
List of parsers.`,name:"parsers"},{anchor:"trl.TrlParser.ignore_extra_args",description:`<strong>ignore_extra_args</strong> (<code>bool</code>) &#x2014;
Whether to ignore extra arguments passed by the config
and not raise errors.`,name:"ignore_extra_args"}],source:"https://github.com/huggingface/trl/blob/main/trl/commands/cli_utils.py#L153"}}),y=new O({props:{name:"parse_args_and_config",anchor:"trl.TrlParser.parse_args_and_config",parameters:[{name:"return_remaining_strings",val:" = False"}],source:"https://github.com/huggingface/trl/blob/main/trl/commands/cli_utils.py#L197"}}),D=new O({props:{name:"post_process_dataclasses",anchor:"trl.TrlParser.post_process_dataclasses",parameters:[{name:"dataclasses",val:""}],source:"https://github.com/huggingface/trl/blob/main/trl/commands/cli_utils.py#L172"}}),C=new O({props:{name:"set_defaults_with_config",anchor:"trl.TrlParser.set_defaults_with_config",parameters:[{name:"**kwargs",val:""}],source:"https://github.com/huggingface/trl/blob/main/trl/commands/cli_utils.py#L231"}}),L=new Pt({props:{source:"https://github.com/huggingface/trl/blob/main/docs/source/script_utils.md"}}),{c(){g=i("meta"),U=a(),H=i("p"),z=a(),d(P.$$.fragment),R=a(),d(w.$$.fragment),W=a(),p=i("div"),d(T.$$.fragment),et=a(),q=i("p"),q.textContent=gt,G=a(),d(S.$$.fragment),B=a(),o=i("div"),d(A.$$.fragment),rt=a(),F=i("p"),F.innerHTML=pt,st=a(),b=i("div"),d(y.$$.fragment),at=a(),M=i("p"),M.textContent=dt,nt=a(),v=i("div"),d(D.$$.fragment),ot=a(),I=i("p"),I.textContent=ut,it=a(),x=i("div"),d(C.$$.fragment),lt=a(),V=i("p"),V.textContent=ft,J=a(),d(L.$$.fragment),K=a(),j=i("p"),this.h()},l(t){const r=xt("svelte-u9bgzb",document.head);g=l(r,"META",{name:!0,content:!0}),r.forEach(e),U=n(t),H=l(t,"P",{}),E(H).forEach(e),z=n(t),u(P.$$.fragment,t),R=n(t),u(w.$$.fragment,t),W=n(t),p=l(t,"DIV",{class:!0});var X=E(p);u(T.$$.fragment,X),et=n(X),q=l(X,"P",{"data-svelte-h":!0}),N(q)!=="svelte-94r0jz"&&(q.textContent=gt),X.forEach(e),G=n(t),u(S.$$.fragment,t),B=n(t),o=l(t,"DIV",{class:!0});var m=E(o);u(A.$$.fragment,m),rt=n(m),F=l(m,"P",{"data-svelte-h":!0}),N(F)!=="svelte-tsouwl"&&(F.innerHTML=pt),st=n(m),b=l(m,"DIV",{class:!0});var Y=E(b);u(y.$$.fragment,Y),at=n(Y),M=l(Y,"P",{"data-svelte-h":!0}),N(M)!=="svelte-kvnmij"&&(M.textContent=dt),Y.forEach(e),nt=n(m),v=l(m,"DIV",{class:!0});var Z=E(v);u(D.$$.fragment,Z),ot=n(Z),I=l(Z,"P",{"data-svelte-h":!0}),N(I)!=="svelte-qqkvon"&&(I.textContent=ut),Z.forEach(e),it=n(m),x=l(m,"DIV",{class:!0});var tt=E(x);u(C.$$.fragment,tt),lt=n(tt),V=l(tt,"P",{"data-svelte-h":!0}),N(V)!=="svelte-1q89pps"&&(V.textContent=ft),tt.forEach(e),m.forEach(e),J=n(t),u(L.$$.fragment,t),K=n(t),j=l(t,"P",{}),E(j).forEach(e),this.h()},h(){k(g,"name","hf:doc:metadata"),k(g,"content",Tt),k(p,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k(v,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),k(o,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,r){s(document.head,g),c(t,U,r),c(t,H,r),c(t,z,r),f(P,t,r),c(t,R,r),f(w,t,r),c(t,W,r),c(t,p,r),f(T,p,null),s(p,et),s(p,q),c(t,G,r),f(S,t,r),c(t,B,r),c(t,o,r),f(A,o,null),s(o,rt),s(o,F),s(o,st),s(o,b),f(y,b,null),s(b,at),s(b,M),s(o,nt),s(o,v),f(D,v,null),s(v,ot),s(v,I),s(o,it),s(o,x),f(C,x,null),s(x,lt),s(x,V),c(t,J,r),f(L,t,r),c(t,K,r),c(t,j,r),Q=!0},p:ht,i(t){Q||(_(P.$$.fragment,t),_(w.$$.fragment,t),_(T.$$.fragment,t),_(S.$$.fragment,t),_(A.$$.fragment,t),_(y.$$.fragment,t),_(D.$$.fragment,t),_(C.$$.fragment,t),_(L.$$.fragment,t),Q=!0)},o(t){h(P.$$.fragment,t),h(w.$$.fragment,t),h(T.$$.fragment,t),h(S.$$.fragment,t),h(A.$$.fragment,t),h(y.$$.fragment,t),h(D.$$.fragment,t),h(C.$$.fragment,t),h(L.$$.fragment,t),Q=!1},d(t){t&&(e(U),e(H),e(z),e(R),e(W),e(p),e(G),e(B),e(o),e(J),e(K),e(j)),e(g),$(P,t),$(w,t),$(T),$(S,t),$(A),$(y),$(D),$(C),$(L,t)}}}const Tt='{"title":"Scripts Utilities","local":"scripts-utilities","sections":[{"title":"ScriptArguments","local":"trl.ScriptArguments","sections":[],"depth":2},{"title":"TrlParser","local":"trl.TrlParser","sections":[],"depth":2}],"depth":1}';function St(mt){return $t(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Lt extends bt{constructor(g){super(),vt(this,g,St,wt,_t,{})}}export{Lt as component};
